Bug 845171 - Can't create a php,ruby, python ,perl application successfully by rhc-0.96.7 on INT
Can't create a php,ruby, python ,perl application successfully by rhc-0.96.7 ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Regression, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 01:43 EDT by Wei Sun
Modified: 2015-05-14 22:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: rhc-0.96.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:42:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2012-08-02 01:43:15 EDT
Description of problem:
This error only happened on INT(1933),can't happen on devenv_1933

Version-Release number of selected component (if applicable):
INT(1933)
rhc-0.96.7-1.el6_3.noarch

How reproducible:
always

Steps to Reproduce:
1.rhc app create -a wsunphp -t php-5.3 -l wsun@redhat.com
2.
3.
  
Actual results:
Can't create application successfully

Expected results:
Application can be created successfully

Additional info:

[wsun@localhost int]$ rhc app create -a wsunphp -t php-5.3 -l wsun@redhat.com
Password: ******

Submitting form:
rhlogin: wsun@redhat.com
debug: true
Contacting https://int.openshift.redhat.com
Creating application: wsunphp in wsunint731
Contacting https://int.openshift.redhat.com
Response from server:
DEBUG:


Exit Code: 0
api_c: placeholder
broker_c: namespacerhloginsshapp_uuiddebugaltercartridgecart_typeactionapp_nameapi
API version:    1.1.3
DEBUG: 'wsunphp' creation returned success.
Now your new domain name is being propagated worldwide (this might take a minute)...
Pulling new repo down
git clone --quiet ssh://2eca40cfe3cf4d178566f9872e1d1096@wsunphp-wsunint731.int.rhcloud.com/~/git/wsunphp.git/ wsunphp
remote: Counting objects: 26, done.
remote: Compressing objects: 100% (20/20), done.
remote: Total 26 (delta 1), reused 26 (delta 1)
Receiving objects: 100% (26/26), 7.42 KiB, done.
Resolving deltas: 100% (1/1), done.
Confirming application 'wsunphp' is available
  Attempt # 1
Server responded with 503
    sleeping 2 seconds
  Attempt # 2
Server responded with 503
    sleeping 4 seconds
  Attempt # 3
Server responded with 503
    sleeping 8 seconds
  Attempt # 4
Server responded with 503
    sleeping 16 seconds
  Attempt # 5
Server responded with 503
    sleeping 32 seconds
  Attempt # 6
Server responded with 503
    sleeping 64 seconds
 Attempt # 7
Server responded with 503
    sleeping 128 seconds
Unable to access your new application.
Cleaning up git repo
Cleaning up application
Contacting https://int.openshift.redhat.com
Comment 1 Wei Sun 2012-08-02 02:42:38 EDT
This error  doesn't always happen.
Sometimes it happened,but sometimes it didn't happen.
Comment 2 Yujie Zhang 2012-08-02 03:01:31 EDT
The same issue happens on website, I can create applications of all cartridges, but I can not access the url of php, ruby, perl, ruby on rails, drupal. It will always return "503 Service Temporarily Unavailable". I can git clone the code of applications, that means the applications can be created successfully, just can not be accessed. So may be something is wrong with your server.
Comment 3 Clayton Coleman 2012-08-02 10:58:13 EDT

*** This bug has been marked as a duplicate of bug 845154 ***
Comment 4 Clayton Coleman 2012-08-02 12:20:13 EDT
Broker does not return health check URL when application is created:

#<Rhc::Rest::Application:0x7fe796c4e7f0 @creation_time="2012-08-02T12:15:21-04:00", @server_identity=nil, @domain_id="eo98u08", @aliases=[], @name="foobar", @links={"GET"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar", "required_params"=>[], "rel"=>"Get application", "method"=>"GET"}, "FORCE_STOP"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/events", "required_params"=>[{"description"=>"event", "invalid_options"=>[], "valid_options"=>["force-stop"], "name"=>"event", "type"=>"string"}], "rel"=>"Force stop application", "method"=>"POST"}, "SCALE_DOWN"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/events", "required_params"=>[{"description"=>"event", "invalid_options"=>[], "valid_options"=>["scale-down"], "name"=>"event", "type"=>"string"}], "rel"=>"Scale down application", "method"=>"POST"}, "GET_GEAR_GROUPS"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/gear_groups", "required_params"=>[], "rel"=>"Get application gear groups", "method"=>"GET"}, "CONCEAL_PORT"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/events", "required_params"=>[{"description"=>"event", "invalid_options"=>[], "valid_options"=>["conceal-port"], "name"=>"event", "type"=>"string"}], "rel"=>"Conceal port", "method"=>"POST"}, "STOP"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/events", "required_params"=>[{"description"=>"event", "invalid_options"=>[], "valid_options"=>["stop"], "name"=>"event", "type"=>"string"}], "rel"=>"Stop application", "method"=>"POST"}, "RESTART"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/events", "required_params"=>[{"description"=>"event", "invalid_options"=>[], "valid_options"=>["restart"], "name"=>"event", "type"=>"string"}], "rel"=>"Restart application", "method"=>"POST"}, "GET_GEARS"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/gears", "required_params"=>[], "rel"=>"Get application gears", "method"=>"GET"}, "DELETE"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar", "required_params"=>[], "rel"=>"Delete application", "method"=>"DELETE"}, "ADD_CARTRIDGE"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/cartridges", "required_params"=>[{"description"=>"framework-type, e.g.: mongodb-2.0", "invalid_options"=>[], "valid_options"=>["mysql-5.1", "mongodb-2.0", "jenkins-client-1.4"], "name"=>"cartridge", "type"=>"string"}], "rel"=>"Add embedded cartridge", "method"=>"POST"}, "START"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/events", "required_params"=>[{"description"=>"event", "invalid_options"=>[], "valid_options"=>["start"], "name"=>"event", "type"=>"string"}], "rel"=>"Start application", "method"=>"POST"}, "SCALE_UP"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/events", "required_params"=>[{"description"=>"event", "invalid_options"=>[], "valid_options"=>["scale-up"], "name"=>"event", "type"=>"string"}], "rel"=>"Scale up application", "method"=>"POST"}, "LIST_CARTRIDGES"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/cartridges", "required_params"=>[], "rel"=>"List embedded cartridges", "method"=>"GET"}, "REMOVE_ALIAS"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/events", "required_params"=>[{"description"=>"event", "invalid_options"=>[], "valid_options"=>["remove-alias"], "name"=>"event", "type"=>"string"}, {"description"=>"The application alias to be removed", "invalid_options"=>[], "valid_options"=>[], "name"=>"alias", "type"=>"string"}], "rel"=>"Remove application alias", "method"=>"POST"}, "GET_DESCRIPTOR"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/descriptor", "required_params"=>[], "rel"=>"Get application descriptor", "method"=>"GET"}, "ADD_ALIAS"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/events", "required_params"=>[{"description"=>"event", "invalid_options"=>[], "valid_options"=>["add-alias"], "name"=>"event", "type"=>"string"}, {"description"=>"The server alias for the application", "invalid_options"=>[], "valid_options"=>[], "name"=>"alias", "type"=>"string"}], "rel"=>"Add application alias", "method"=>"POST"}, "SHOW_PORT"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/events", "required_params"=>[{"description"=>"event", "invalid_options"=>[], "valid_options"=>["show-port"], "name"=>"event", "type"=>"string"}], "rel"=>"Show port", "method"=>"POST"}, "EXPOSE_PORT"=>{"optional_params"=>[], "href"=>"https://localhost/broker/rest/domains/eo98u08/applications/foobar/events", "required_params"=>[{"description"=>"event", "invalid_options"=>[], "valid_options"=>["expose-port"], "name"=>"event", "type"=>"string"}], "rel"=>"Expose port", "method"=>"POST"}}, @uuid="4692cbeebcfb44e296900b4fb72578da">

This prevents the code Lili added from working.  REST API should return the same values on app creation that it does on app retrieve
Comment 5 Krishna Raman 2012-08-02 12:36:37 EDT
Clayton is able work around this in the CLI and UI code.
Comment 6 Wei Sun 2012-08-02 22:48:41 EDT
Use rhc-0.96.8 create an app in STG,can create app successfully,and also can access it's link.But can't get prompt like:
Confirming application 'phptest' is available:  Success!

phptest published:  http://phptest-wsundev803.dev.rhcloud.com/
git url:  ssh://14fcbdfa61024e6d97f8b935e17cfbfd@phptest-wsundev803.dev.rhcloud.com/~/git/phptest.git/
To make changes to 'phptest', commit to phptest/.
Successfully created application: phptest


[sunwei@dhcp-8-229 stage]$ rhc app create -a appphp -t php-5.3 -d -p redhat
Submitting form:
rhlogin: wsun@redhat.com
debug: true
Contacting https://stg.openshift.redhat.com
Creating application: appphp in wsunstage718
Contacting https://stg.openshift.redhat.com
Response from server:
DEBUG:


Exit Code: 0
api_c: ["placeholder"]
broker_c: ["namespace", "rhlogin", "ssh", "app_uuid", "debug", "alter", "cartridge", "cart_type", "action", "app_name", "api"]
API version:    1.1.3
DEBUG: 'appphp' creation returned success.
Now your new domain name is being propagated worldwide (this might take a minute)...
Pulling new repo down
git clone --quiet ssh://4202bd2b5a1343c38f79315e569f3536@appphp-wsunstage718.stg.rhcloud.com/~/git/appphp.git/ appphp
Warning: Permanently added the RSA host key for IP address '50.16.59.119' to the list of known hosts.
remote: Counting objects: 26, done.
remote: Compressing objects: 100% (20/20), done.
remote: Total 26 (delta 1), reused 26 (delta 1)
Receiving objects: 100% (26/26), 7.42 KiB, done.
Resolving deltas: 100% (1/1), done.
Checking if the application is available #1
Comment 7 Yujie Zhang 2012-08-03 02:23:40 EDT
(In reply to comment #4)
Tested stage on website, I can create applications of all cartridges and can access the url of applications successfully.
Comment 8 Xiaoli Tian 2012-08-06 21:24:30 EDT
Find the fix in github, move it to ON_QA
Comment 9 Wei Sun 2012-08-06 21:57:38 EDT
Verified with rhc-0.96.9 against stage

[wsun@localhost stg]$ rhc app create -a phptest -t php-5.3 -d
Password: ******

Submitting form:
rhlogin: wsun@redhat.com
debug: true
Contacting https://stg.openshift.redhat.com
Creating application: phptest in wsunstg803
Contacting https://stg.openshift.redhat.com
Response from server:
DEBUG:


Exit Code: 0
api_c: placeholder
broker_c: namespacerhloginsshapp_uuiddebugaltercartridgecart_typeactionapp_nameapi
API version:    1.1.3
DEBUG: 'phptest' creation returned success.
Now your new domain name is being propagated worldwide (this might take a minute)...
Pulling new repo down
git clone --quiet ssh://b13a4b4cb1a947fbafa7a8f5566402c1@phptest-wsunstg803.stg.rhcloud.com/~/git/phptest.git/ phptest
remote: Counting objects: 26, done.
remote: Compressing objects: 100% (20/20), done.
remote: Total 26 (delta 1), reused 26 (delta 1)
Receiving objects: 100% (26/26), 7.42 KiB, done.
Resolving deltas: 100% (1/1), done.
Checking if the application is available #1
Application phptest is available at: http://phptest-wsunstg803.stg.rhcloud.com/
  Git URL: ssh://b13a4b4cb1a947fbafa7a8f5566402c1@phptest-wsunstg803.stg.rhcloud.com/~/git/phptest.git/
To make changes to 'phptest', commit to phptest/.
Successfully created application: phptest

Note You need to log in before you can comment on or make changes to this bug.